=== modified file '52-ubuntu-touch.conf'
--- 52-ubuntu-touch.conf	2014-04-03 18:53:19 +0000
+++ 52-ubuntu-touch.conf	2014-06-03 14:31:27 +0000
@@ -1,6 +1,7 @@
 [SeatDefaults]
 type=unity
 user-session=ubuntu-touch
+session-wrapper=/usr/sbin/ubuntu-touch-lightdm-session
 unity-compositor-command=/usr/share/ubuntu-touch-session/usc-wrapper
 autologin-in-background=true
 

=== modified file 'debian/ubuntu-touch-session.install'
--- debian/ubuntu-touch-session.install	2014-05-12 16:21:05 +0000
+++ debian/ubuntu-touch-session.install	2014-06-03 14:31:27 +0000
@@ -4,6 +4,7 @@
 *.override /etc/init
 ubuntu-touch-session.d/* /etc/ubuntu-touch-session.d/
 upstart-session/* /usr/share/upstart/sessions/
+ubuntu-touch-lightdm-session /usr/sbin/
 ubuntu-touch-session /usr/bin/
 ubuntu-touch.desktop /usr/share/lightdm/sessions
 52-ubuntu-touch.conf /usr/share/lightdm/lightdm.conf.d

=== added file 'ubuntu-touch-lightdm-session'
--- ubuntu-touch-lightdm-session	1970-01-01 00:00:00 +0000
+++ ubuntu-touch-lightdm-session	2014-06-03 14:31:27 +0000
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# /usr/sbin/lightdm-session is very X specific.  We don't want it for Ubuntu
+# Touch's Mir sessions.  So determine if we are running Mir or X and do the
+# right thing.  Ideally LightDM would do this for us, but in the meantime...
+
+if [ -n "$MIR_SOCKET" ]; then
+    exec $@
+else
+    exec /usr/sbin/lightdm-session $@
+fi

